Field Filter bug in Attribute Table when field is a Value Map

2018-01-29 03:05 AM - Kory Roberts

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Attribute table

Affected QGIS version:master Regression?: Yes

Operating System: Linux Mint 18.3 Cinnamon Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25882

Description

Say the Value Map for a field is set to 'A', 'B', 'C'.  When the Field Filter is selected in the Attribute Table for that field, the drop down

choice is literally the word "map" and that's it...no A/B/C.

Associated revisions

Revision 234bc1a4 - 2018-01-29 07:36 AM - Nyall Dawson

Fix value map widget broken when used as search widget

Fixes #17986

Revision 6fa362b5 - 2018-02-01 02:29 AM - Nyall Dawson

Fix value map search widget doesn't work for null/not null searches

before an initial value is picked

Refs #17986

History

#1 - 2018-01-29 04:01 AM - Nyall Dawson

- Regression? changed from No to Yes

#2 - 2018-01-29 04:34 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#3 - 2018-01-29 07:36 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|234bc1a47253d90769218896193491ccd206c5d9.

#4 - 2018-01-31 02:13 AM - Kory Roberts

Installed the latest build of QGIS.  Working now.  BUT why isn't <NULL> a selection choice if set in the value map?  That's actually the "value" I need to
filter for.

#5 - 2018-02-01 02:34 AM - Nyall Dawson

There was another related bug. Note that filtering for null/not null is only available in the full filter form view - press the "select/filter features using form"

button on the attribute table toolbar to access.

#6 - 2018-02-01 02:45 AM - Kory Roberts

If that's the case, I don't think it's working (unless later correction of related bug fixed this, too).

Select/filter features using form -> select Is missing (null) for field with value map -> Select features|Filter features  ... nothing happens.

#7 - 2018-02-01 03:08 AM - Nyall Dawson

You'll need a build with that most recent fix

#8 - 2018-02-21 09:29 PM - Giovanni Manghi

- Resolution set to fixed/implemented
